%define name	snd
%define version 7.5
%define release 1mdk

Name: 		%{name}
Summary: 	A sound editor for X/Motif
Version: 	%{version}
Release: 	%{release}

Source0:	%{name}-7.tar.bz2
URL:		http://www-ccrma.stanford.edu/software/snd/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gsl-devel ladspa-devel lesstif-devel xpm-devel guile-devel
BuildRequires:	gettext alsa-lib-devel XFree86-devel gtk+-devel
BuildRequires:	MesaGLU-devel

%description
Snd is a freeware sound editor modelled loosely after Emacs and an old,
sorely-missed PDP-10 sound editor named Dpysnd.

%prep
%setup -q -n %{name}-7

%build
%configure2_5x	--with-ladspa \
		--with-gsl \
		--with-gl
%make
make sndplay sndrecord sndinfo
# fixme: make audinfo
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
cp sndplay sndrecord sndinfo audinfo $RPM_BUILD_ROOT/%_bindir
# cp sndsine $RPM_BUILD_ROOT/%_bindir
%find_lang %name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="Snd" longtitle="Freeware sound editor" section="Multimedia/Sound"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc README.Snd TODO.Snd HISTORY.Snd tutorial
%{_bindir}/*
%{_menudir}/%name
%{_mandir}/*/*

%changelog
* Wed Jun 30 2004 Austin Acton <austin@mandrake.org> 7.5-1mdk
- 7.5
- configure 2.5
- disable sndsine for now, no time to fix

* Mon May 17 2004 Austin Acton <austin@mandrake.org> 7.4-1mdk
- 7.4

* Fri Jan 16 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 7.2-1mdk
- 7.2

* Fri Dec 26 2003 Franck Villaume <fvill@freesurf.fr> 7-2mdk
- add BuildRequires : MesaGLU-devel

* Sat Dec 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 7-1mdk
- 7
- fix buildrequires (lib64..)
- --with-gl

* Mon Aug 18 2003 Austin Acton <aacton@yorku.ca> 6.11-1mdk
- 6.11

* Mon Jun 30 2003 Austin Acton <aacton@yorku.ca> 6.8-1mdk
- 6.8

* Wed May 7 2003 Austin Acton <aacton@yorku.ca> 6.7-1mdk
- 6.7

* Thu Jan 30 2003 Austin Acton <aacton@yorku.ca> 6.6-1mdk
- initial package
